%define realname   SVN-Simple

Name:		perl-%{realname}
Version:	0.25
Release:	2mdk
License:	GPL or Artistic
Group:		Development/Perl
Summary:    This module is a simple interface to subversion's editor interface.
Source0:    http://search.cpan.org/CPAN/authors/id/C/CL/CLKAO/%{realname}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel perl-SVN
#needed for testing
BuildRequires:  subversion
BuildArch:      noarch
%description
SVN::Simple::Edit wraps the subversion delta editor with 
a perl friendly interface and then you could easily 
drive it for describing changes to a tree.

A common usage is to wrap the commit editor, so you could make 
commits to a subversion repository easily.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST CHANGES README 
%{perl_vendorlib}/*
%{_mandir}/man3/*
%changelog

* Sat Jun 05 2004 Michael Scherer <misc@mandrake.org> 0.25-2mdk 
- BuildRequires

* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.25-1mdk 
- First MandrakeSoft Package
